config/routes.rb
Rails.application.routes.draw do
  resources :users
  resources :lists do
     member do
      patch :complete
     end
    end
  root 'pages#index'
  get 'log-in', to: 'sessions#new'
  post 'log-in', to: 'sessions#create'
  delete 'log-out', to: 'sessions#destroy'
  get 'log-out', to: 'sessions#destroy'
  post '/lists/new', to: 'lists#new'
  get '/yesterday', to: 'lists#yesterday'
  get '/today', to: 'lists#today'
  get '/personal', to: 'lists#personal'
  get '/grocery', to: 'lists#grocery'
  get '/todo', to: 'lists#todo'
  get '/work', to: 'lists#work'
  get '/completed', to: 'lists#completed'
  namespace :api do
    namespace :v1 do
      resources :notes
    end
  end

  # get 'pages/index'
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

app/models/list.rb
class List < ApplicationRecord
    belongs_to :user
    validates :status, presence: true
    enum checkstatus: [ :ToDo, :Completed]
    enum category: [:GroceryList, :Personal, :Work]
    def completed?
        !completed_at.blank?
    end
end

app/controllers/lists_controller.rb
class ListsController < ApplicationController
    before_action :set_list, only: %i[ show ]

  def index
    @lists = List.where(user_id: current_user.id).paginate(page: params[:page], per_page: 10)
  end

  def show
    @lists=User.find_by_id params[:id]

    # render json: @lists
  end


  def new
    @list = List.new
  end


  def edit
  end

def update
  @list = List.find_by_id params[:id]
  @list.update list_params
  @list.save
  # render json: @list
  respond_to do |format|
    format.js #add this at the beginning to make sure the form is populated.
  end
end

  
  def create
    @list = List.new(list_params)
    @list.user = current_user
    respond_to do |format|
      if @list.save
        format.html { redirect_to '/lists', notice: "Task was successfully created." }
        # render json: @list
      else
        format.html { render :new, status: :unprocessable_entity }
        format.json { render json: @list.errors, status: :unprocessable_entity }
      end
    end
  end

  def complete
    @list = List.find_by_id params[:id]
    @list.update_column(:checkstatus,1)
    if @list.save
     redirect_to '/lists', notice: "Todo item completed"
    end
   end

  def destroy
    @list = List.find(params[:id])

    if @list.destroy
        flash[:notice] = "Reminder type has been deleted successfully"
        redirect_to lists_path
    else
        flash[:notice] = "Reminder type deletion failed"
    end
end
  
  def yesterday
    lists_users = List.where(user_id: current_user.id)
    @lists=lists_users.where(created_at: Date.today..Date.today+7).paginate(page: params[:page], per_page: 10)
    # render json: @lists
  end
  def today
    lists_user = List.where(user_id: current_user.id)
    @lists=lists_user.where("DATE(expiry) = ?", Date.today).paginate(page: params[:page], per_page: 10)
    # render json: @lists
  end
  def personal
    @lists=List.where(user_id: current_user.id,category: 1)
    # render json: @lists
  end
  def work
    @lists=List.where(user_id: current_user.id,category: 2)
    # render json: @lists
  end
  def grocery
    @lists=List.where(user_id: current_user.id,category: 0)
    # render json: @lists
  end
  def todo
    @lists=List.where(user_id: current_user.id,checkstatus: 0)
    # render json: @lists
  end
  def completed
    @lists=List.where(user_id: current_user.id,checkstatus: 1)
    # render json: @lists
  end
  

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_list
      @list = List.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def list_params
      params.require(:list).permit(:task, :expiry, :status, :category, :completed)
    end

end

app/helpers/lists_helper.rb
module ListsHelper
end

app/views/lists/grocery.html.erb
<div class="container-fluid">

  
    <%= render "common/navbar"%>
    <br/>
    <%= render "common/sidenavbar"%>
    <h1>Tasks</h1>

</div>

<div class="container-fluid col-6 text-center opacity-75 rounded " style="background-color:white; ">
   <div class="text-center">
       <h3> To-Doo List </h3>
   </div>
  <div class="row justify-content-center align-items-center">

     <table class="table">
       <thead>
         <tr>
          <th scope="col">S.no</th>
          <th scope="col">Task</th>
          <th scope="col">Status</th>
          <th scope="col">Category</th>
          <th scope="col">Change status</th>
          <th scope="col">Delete</th>
         </tr>
       </thead>
    <tbody><% c=0 %>
    <% @lists.each do |t|%>
    <tr>
        <% c+=1 %>
      <th scope="row"><%= c %></th>
      <td><%= t.task %></td>
      <td><%= t.checkstatus %></td>
      <td><%= t.category %></td>
      <td>
        <div class="row clearfix">
        <% if t.checkstatus == 1 %>
         <strike>
          <div class="complete">
            <%= link_to "Mark as Complete", complete_list_path(t.id), method: :patch %>
          </div>
         </strike>
          <div class="todo_item">
             <p style="opacity: 0.4;"><strike><%= t.task %></strike></p>
          </div>
        <% else %>
          <div class="complete">
          <%= link_to "/lists/#{t.id}/complete", method: :patch do %>
          <button class="btn btn-sm btn-outline-success btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path d="M17.28 9.28a.75.75 0 00-1.06-1.06l-5.97 5.97-2.47-2.47a.75.75 0 00-1.06 1.06l3 3a.75.75 0 001.06 0l6.5-6.5z"></path><path fill-rule="evenodd" d="M12 1C5.925 1 1 5.925 1 12s4.925 11 11 11 11-4.925 11-11S18.075 1 12 1zM2.5 12a9.5 9.5 0 1119 0 9.5 9.5 0 01-19 0z"></path></svg>
              </button>
             <% end %>
            <% end %>
          </div>
        
        </td>
        <td><%= link_to "lists/#{t.id}" , confirm: 'Are you sure?', disable_with: 'deleting...', method: :delete do %>
           <button class="btn btn-sm btn-outline-danger btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true"> 
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path fill-rule="evenodd" d="M16 1.75V3h5.25a.75.75 0 010 1.5H2.75a.75.75 0 010-1.5H8V1.75C8 .784 8.784 0 9.75 0h4.5C15.216 0 16 .784 16 1.75zm-6.5 0a.25.25 0 01.25-.25h4.5a.25.25 0 01.25.25V3h-5V1.75z"></path><path d="M4.997 6.178a.75.75 0 10-1.493.144L4.916 20.92a1.75 1.75 0 001.742 1.58h10.684a1.75 1.75 0 001.742-1.581l1.413-14.597a.75.75 0 00-1.494-.144l-1.412 14.596a.25.25 0 01-.249.226H6.658a.25.25 0 01-.249-.226L4.997 6.178z"></path><path d="M9.206 7.501a.75.75 0 01.793.705l.5 8.5A.75.75 0 119 16.794l-.5-8.5a.75.75 0 01.705-.793zm6.293.793A.75.75 0 1014 8.206l-.5 8.5a.75.75 0 001.498.088l.5-8.5z"></path></svg>
          </button>
        <% end %></td>
      
     </div>
      </td>
    </tr>
    <% end %>
    </tbody>
    </table>
  </div>
  

 <div class="flickr_pagination">
 
</div>
<br/>
</div>
</div>

app/views/lists/index.html.erb
<div class="container-fluid">

  
    <%= render "common/navbar"%>
    <br/>
    <%= render "common/sidenavbar"%>
    <h1>Tasks</h1>

</div>

<div class="container-fluid col-6 text-center opacity-75 rounded " style="background-color:white; ">
   <div class="text-center">
       <h3> To-Doo List </h3>
   </div>
  <div class="row justify-content-center align-items-center">

     <table class="table">
       <thead>
         <tr>
          <th scope="col">S.no</th>
          <th scope="col">Task</th>
          <th scope="col">Status</th>
          <th scope="col">Category</th>
          <th scope="col">Change status</th>
          <th scope="col">Delete</th>

         </tr>
       </thead>
    <tbody><% c=0 %>
    <% @lists.each do |t|%>
    <tr>
        <% c+=1 %>
      <th scope="row"><%= c %></th>
      <td><%= t.task %></td>
      <td><%= t.checkstatus %></td>
      <td><%= t.category %></td>
      <td>
        <div class="row clearfix">
        <% if t.checkstatus == 1 %>
         <strike>
          <div class="complete">
            <%= link_to "Mark as Complete", complete_list_path(t.id), method: :patch %>
          </div>
         </strike>
          <div class="todo_item">
             <p style="opacity: 0.4;"><strike><%= t.task %></strike></p>
          </div>
        <% else %>
          <div class="complete">
          <%= link_to "/lists/#{t.id}/complete", method: :patch do %>
          <button class="btn btn-sm btn-outline-success btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path d="M17.28 9.28a.75.75 0 00-1.06-1.06l-5.97 5.97-2.47-2.47a.75.75 0 00-1.06 1.06l3 3a.75.75 0 001.06 0l6.5-6.5z"></path><path fill-rule="evenodd" d="M12 1C5.925 1 1 5.925 1 12s4.925 11 11 11 11-4.925 11-11S18.075 1 12 1zM2.5 12a9.5 9.5 0 1119 0 9.5 9.5 0 01-19 0z"></path></svg>
              </button>
             <% end %>
            <% end %>
          </div>
        
        </td>
        <td><%= link_to "lists/#{t.id}" , confirm: 'Are you sure?', disable_with: 'deleting...', method: :delete do %>
           <button class="btn btn-sm btn-outline-danger btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true"> 
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path fill-rule="evenodd" d="M16 1.75V3h5.25a.75.75 0 010 1.5H2.75a.75.75 0 010-1.5H8V1.75C8 .784 8.784 0 9.75 0h4.5C15.216 0 16 .784 16 1.75zm-6.5 0a.25.25 0 01.25-.25h4.5a.25.25 0 01.25.25V3h-5V1.75z"></path><path d="M4.997 6.178a.75.75 0 10-1.493.144L4.916 20.92a1.75 1.75 0 001.742 1.58h10.684a1.75 1.75 0 001.742-1.581l1.413-14.597a.75.75 0 00-1.494-.144l-1.412 14.596a.25.25 0 01-.249.226H6.658a.25.25 0 01-.249-.226L4.997 6.178z"></path><path d="M9.206 7.501a.75.75 0 01.793.705l.5 8.5A.75.75 0 119 16.794l-.5-8.5a.75.75 0 01.705-.793zm6.293.793A.75.75 0 1014 8.206l-.5 8.5a.75.75 0 001.498.088l.5-8.5z"></path></svg>
          </button>
        <% end %></td>
      
     </div>
      </td>
    </tr>

    <% end %>
    </tbody>
    </table>
  </div>

  

 <div class="flickr_pagination">
 <%= will_paginate @lists, :container => false %>
</div>
<br/>
</div>
</div>

app/views/lists/new.html.erb
<%= render "common/navbar"%>
<br/>
<%= render "common/sidenavbar"%>
<%= render 'form', list: @list %>

app/views/lists/personal.html.erb
<div class="container-fluid">

  
    <%= render "common/navbar"%>
    <br/>
    <%= render "common/sidenavbar"%>
    <h1>Tasks</h1>

</div>

<div class="container-fluid col-6 text-center opacity-75 rounded " style="background-color:white; ">
   <div class="text-center">
       <h3> To-Doo List </h3>
   </div>
  <div class="row justify-content-center align-items-center">

     <table class="table">
       <thead>
         <tr>
          <th scope="col">S.no</th>
          <th scope="col">Task</th>
          <th scope="col">Status</th>
          <th scope="col">Category</th>
          <th scope="col">Change status</th>
          <th scope="col">Delete</th>
         </tr>
       </thead>
    <tbody><% c=0 %>
    <% @lists.each do |t|%>
    <tr>
        <% c+=1 %>
      <th scope="row"><%= c %></th>
      <td><%= t.task %></td>
      <td><%= t.checkstatus %></td>
      <td><%= t.category %></td>
      <td>
        <div class="row clearfix">
        <% if t.checkstatus == 1 %>
         <strike>
          <div class="complete">
            <%= link_to "Mark as Complete", complete_list_path(t.id), method: :patch %>
          </div>
         </strike>
          <div class="todo_item">
             <p style="opacity: 0.4;"><strike><%= t.task %></strike></p>
          </div>
        <% else %>
          <div class="complete">
          <%= link_to "/lists/#{t.id}/complete", method: :patch do %>
          <button class="btn btn-sm btn-outline-success btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path d="M17.28 9.28a.75.75 0 00-1.06-1.06l-5.97 5.97-2.47-2.47a.75.75 0 00-1.06 1.06l3 3a.75.75 0 001.06 0l6.5-6.5z"></path><path fill-rule="evenodd" d="M12 1C5.925 1 1 5.925 1 12s4.925 11 11 11 11-4.925 11-11S18.075 1 12 1zM2.5 12a9.5 9.5 0 1119 0 9.5 9.5 0 01-19 0z"></path></svg>
              </button>
             <% end %>
            <% end %>
          </div>
        
        </td>
        <td><%= link_to "lists/#{t.id}" , confirm: 'Are you sure?', disable_with: 'deleting...', method: :delete do %>
           <button class="btn btn-sm btn-outline-danger btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true"> 
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path fill-rule="evenodd" d="M16 1.75V3h5.25a.75.75 0 010 1.5H2.75a.75.75 0 010-1.5H8V1.75C8 .784 8.784 0 9.75 0h4.5C15.216 0 16 .784 16 1.75zm-6.5 0a.25.25 0 01.25-.25h4.5a.25.25 0 01.25.25V3h-5V1.75z"></path><path d="M4.997 6.178a.75.75 0 10-1.493.144L4.916 20.92a1.75 1.75 0 001.742 1.58h10.684a1.75 1.75 0 001.742-1.581l1.413-14.597a.75.75 0 00-1.494-.144l-1.412 14.596a.25.25 0 01-.249.226H6.658a.25.25 0 01-.249-.226L4.997 6.178z"></path><path d="M9.206 7.501a.75.75 0 01.793.705l.5 8.5A.75.75 0 119 16.794l-.5-8.5a.75.75 0 01.705-.793zm6.293.793A.75.75 0 1014 8.206l-.5 8.5a.75.75 0 001.498.088l.5-8.5z"></path></svg>
          </button>
        <% end %></td>
     </div>
      </td>
      </td>
      
    </tr>
    <% end %>
    </tbody>
    </table>
  </div>
  

 <div class="flickr_pagination">
 
</div>
<br/>
</div>
</div>

app/views/lists/today.html.erb
<div class="container-fluid">

  
    <%= render "common/navbar"%>
    <br/>
    <%= render "common/sidenavbar"%>
    <h1>Tasks</h1>

</div>

<div class="container-fluid col-6 text-center opacity-75 rounded " style="background-color:white; ">
   <div class="text-center">
       <h3> To-Doo List </h3>
   </div>
  <div class="row justify-content-center align-items-center">

     <table class="table">
       <thead>
         <tr>
          <th scope="col">S.no</th>
          <th scope="col">Task</th>
          <th scope="col">Status</th>
          <th scope="col">Category</th>
          <th scope="col">Change status</th>
          <th scope="col">Delete</th>
         </tr>
       </thead>
    <tbody><% c=0 %>
    <% @lists.each do |t|%>
    <tr>
        <% c+=1 %>
      <th scope="row"><%= c %></th>
      <td><%= t.task %></td>
      <td><%= t.checkstatus %></td>
      <td><%= t.category %></td>
      <td>
        <div class="row clearfix">
        <% if t.checkstatus == 1 %>
         <strike>
          <div class="complete">
            <%= link_to "Mark as Complete", complete_list_path(t.id), method: :patch %>
          </div>
         </strike>
          <div class="todo_item">
             <p style="opacity: 0.4;"><strike><%= t.task %></strike></p>
          </div>
        <% else %>
          <div class="complete">
          <%= link_to "/lists/#{t.id}/complete", method: :patch do %>
          <button class="btn btn-sm btn-outline-success btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path d="M17.28 9.28a.75.75 0 00-1.06-1.06l-5.97 5.97-2.47-2.47a.75.75 0 00-1.06 1.06l3 3a.75.75 0 001.06 0l6.5-6.5z"></path><path fill-rule="evenodd" d="M12 1C5.925 1 1 5.925 1 12s4.925 11 11 11 11-4.925 11-11S18.075 1 12 1zM2.5 12a9.5 9.5 0 1119 0 9.5 9.5 0 01-19 0z"></path></svg>
              </button>
             <% end %>
            <% end %>
          </div>
        
        </td>
        <td><%= link_to "lists/#{t.id}" , confirm: 'Are you sure?', disable_with: 'deleting...', method: :delete do %>
           <button class="btn btn-sm btn-outline-danger btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true"> 
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path fill-rule="evenodd" d="M16 1.75V3h5.25a.75.75 0 010 1.5H2.75a.75.75 0 010-1.5H8V1.75C8 .784 8.784 0 9.75 0h4.5C15.216 0 16 .784 16 1.75zm-6.5 0a.25.25 0 01.25-.25h4.5a.25.25 0 01.25.25V3h-5V1.75z"></path><path d="M4.997 6.178a.75.75 0 10-1.493.144L4.916 20.92a1.75 1.75 0 001.742 1.58h10.684a1.75 1.75 0 001.742-1.581l1.413-14.597a.75.75 0 00-1.494-.144l-1.412 14.596a.25.25 0 01-.249.226H6.658a.25.25 0 01-.249-.226L4.997 6.178z"></path><path d="M9.206 7.501a.75.75 0 01.793.705l.5 8.5A.75.75 0 119 16.794l-.5-8.5a.75.75 0 01.705-.793zm6.293.793A.75.75 0 1014 8.206l-.5 8.5a.75.75 0 001.498.088l.5-8.5z"></path></svg>
          </button>
        <% end %></td>
     </div>
      </td>
    </tr>
    <% end %>
    </tbody>
    </table>
  </div>
  

 <div class="flickr_pagination">
 <%= will_paginate @lists, :container => false %>
</div>
<br/>
</div>
</div>

app/views/lists/todo.html.erb
<div class="container-fluid">

  
    <%= render "common/navbar"%>
    <br/>
    <%= render "common/sidenavbar"%>
    <h1>Tasks</h1>

</div>

<div class="container-fluid col-6 text-center opacity-75 rounded " style="background-color:white; ">
   <div class="text-center">
       <h3> To-Doo List </h3>
   </div>
  <div class="row justify-content-center align-items-center">

     <table class="table">
       <thead>
         <tr>
          <th scope="col">S.no</th>
          <th scope="col">Task</th>
          <th scope="col">Status</th>
          <th scope="col">Category</th>
          <th scope="col">Change status</th>
          <th scope="col">Delete</th>
         </tr>
       </thead>
    <tbody><% c=0 %>
    <% @lists.each do |t|%>
    <tr>
        <% c+=1 %>
      <th scope="row"><%= c %></th>
      <td><%= t.task %></td>
      <td><%= t.checkstatus %></td>
      <td><%= t.category %></td>
      <td>
        <div class="row clearfix">
        <% if t.checkstatus == 1 %>
         <strike>
          <div class="complete">
            <%= link_to "Mark as Complete", complete_list_path(t.id), method: :patch %>
          </div>
         </strike>
          <div class="todo_item">
             <p style="opacity: 0.4;"><strike><%= t.task %></strike></p>
          </div>
        <% else %>
          <div class="complete">
          <%= link_to "/lists/#{t.id}/complete", method: :patch do %>
          <button class="btn btn-sm btn-outline-success btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path d="M17.28 9.28a.75.75 0 00-1.06-1.06l-5.97 5.97-2.47-2.47a.75.75 0 00-1.06 1.06l3 3a.75.75 0 001.06 0l6.5-6.5z"></path><path fill-rule="evenodd" d="M12 1C5.925 1 1 5.925 1 12s4.925 11 11 11 11-4.925 11-11S18.075 1 12 1zM2.5 12a9.5 9.5 0 1119 0 9.5 9.5 0 01-19 0z"></path></svg>
              </button>
             <% end %>
            <% end %>
          </div>
        
        </td>
        <td><%= link_to "lists/#{t.id}" , confirm: 'Are you sure?', disable_with: 'deleting...', method: :delete do %>
           <button class="btn btn-sm btn-outline-danger btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true"> 
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path fill-rule="evenodd" d="M16 1.75V3h5.25a.75.75 0 010 1.5H2.75a.75.75 0 010-1.5H8V1.75C8 .784 8.784 0 9.75 0h4.5C15.216 0 16 .784 16 1.75zm-6.5 0a.25.25 0 01.25-.25h4.5a.25.25 0 01.25.25V3h-5V1.75z"></path><path d="M4.997 6.178a.75.75 0 10-1.493.144L4.916 20.92a1.75 1.75 0 001.742 1.58h10.684a1.75 1.75 0 001.742-1.581l1.413-14.597a.75.75 0 00-1.494-.144l-1.412 14.596a.25.25 0 01-.249.226H6.658a.25.25 0 01-.249-.226L4.997 6.178z"></path><path d="M9.206 7.501a.75.75 0 01.793.705l.5 8.5A.75.75 0 119 16.794l-.5-8.5a.75.75 0 01.705-.793zm6.293.793A.75.75 0 1014 8.206l-.5 8.5a.75.75 0 001.498.088l.5-8.5z"></path></svg>
          </button>
        <% end %></td>
      
     </div>
      </td>
    </tr>
    <% end %>
    </tbody>
    </table>
  </div>
  

 <div class="flickr_pagination">
</div>
<br/>
</div>
</div>

app/views/lists/work.html.erb
<div class="container-fluid">

  
    <%= render "common/navbar"%>
    <br/>
    <%= render "common/sidenavbar"%>
    <h1>Tasks</h1>

</div>

<div class="container-fluid col-6 text-center opacity-75 rounded " style="background-color:white; ">
   <div class="text-center">
       <h3> To-Doo List </h3>
   </div>
  <div class="row justify-content-center align-items-center">

     <table class="table">
       <thead>
         <tr>
          <th scope="col">S.no</th>
          <th scope="col">Task</th>
          <th scope="col">Status</th>
          <th scope="col">Category</th>
          <th scope="col">Change status</th>
          <th scope="col">Delete</th>
         </tr>
       </thead>
    <tbody><% c=0 %>
    <% @lists.each do |t|%>
    <tr>
        <% c+=1 %>
      <th scope="row"><%= c %></th>
      <td><%= t.task %></td>
      <td><%= t.checkstatus %></td>
      <td><%= t.category %></td>
      <td>
        <div class="row clearfix">
        <% if t.checkstatus == 1 %>
         <strike>
          <div class="complete">
            <%= link_to "Mark as Complete", complete_list_path(t.id), method: :patch %>
          </div>
         </strike>
          <div class="todo_item">
             <p style="opacity: 0.4;"><strike><%= t.task %></strike></p>
          </div>
        <% else %>
          <div class="complete">
          <%= link_to "/lists/#{t.id}/complete", method: :patch do %>
          <button class="btn btn-sm btn-outline-success btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path d="M17.28 9.28a.75.75 0 00-1.06-1.06l-5.97 5.97-2.47-2.47a.75.75 0 00-1.06 1.06l3 3a.75.75 0 001.06 0l6.5-6.5z"></path><path fill-rule="evenodd" d="M12 1C5.925 1 1 5.925 1 12s4.925 11 11 11 11-4.925 11-11S18.075 1 12 1zM2.5 12a9.5 9.5 0 1119 0 9.5 9.5 0 01-19 0z"></path></svg>
              </button>
             <% end %>
            <% end %>
          </div>
        
        </td>
        <td><%= link_to "lists/#{t.id}" , confirm: 'Are you sure?', disable_with: 'deleting...', method: :delete do %>
           <button class="btn btn-sm btn-outline-danger btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true"> 
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path fill-rule="evenodd" d="M16 1.75V3h5.25a.75.75 0 010 1.5H2.75a.75.75 0 010-1.5H8V1.75C8 .784 8.784 0 9.75 0h4.5C15.216 0 16 .784 16 1.75zm-6.5 0a.25.25 0 01.25-.25h4.5a.25.25 0 01.25.25V3h-5V1.75z"></path><path d="M4.997 6.178a.75.75 0 10-1.493.144L4.916 20.92a1.75 1.75 0 001.742 1.58h10.684a1.75 1.75 0 001.742-1.581l1.413-14.597a.75.75 0 00-1.494-.144l-1.412 14.596a.25.25 0 01-.249.226H6.658a.25.25 0 01-.249-.226L4.997 6.178z"></path><path d="M9.206 7.501a.75.75 0 01.793.705l.5 8.5A.75.75 0 119 16.794l-.5-8.5a.75.75 0 01.705-.793zm6.293.793A.75.75 0 1014 8.206l-.5 8.5a.75.75 0 001.498.088l.5-8.5z"></path></svg>
          </button>
        <% end %></td>
      
     </div>
      </td>
      </td>
    </tr>
    <% end %>
    </tbody>
    </table>
  </div>
  

 <div class="flickr_pagination">
 
</div>
<br/>
</div>
</div>